> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Coins Categories List (ID Map)

> This endpoint allows you to **query all the coins categories on CoinGecko**

<Tip>
  ### Tips

  * You may use this endpoint to query the list of categories and ids for other endpoints that contain params like `category`.
  * To retrieve a list of coins for a specific category, use the [/coins/markets](/v3.0.1/reference/coins-markets) endpoint and provide the category **ID** via the `category` parameter.
</Tip>

<Note>
  ### Note

  * CoinGecko Equivalent Page: [https://www.coingecko.com/en/categories](https://www.coingecko.com/en/categories)
  * Cache / Update Frequency: every 5 minutes for all the API plans.
</Note>


## OpenAPI

````yaml api-reference/coingecko-demo.json get /coins/categories/list
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /coins/categories/list:
    get:
      tags:
        - Categories
      summary: Coins Categories List (ID Map)
      description: >-
        This endpoint allows you to **query all the coins categories on
        CoinGecko**
      operationId: coins-categories-list
      responses:
        '200':
          description: List all categories
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CategoriesList'
components:
  schemas:
    CategoriesList:
      type: object
      properties:
        category_id:
          type: string
          description: category ID
        name:
          type: string
          description: category name
      example:
        - category_id: aave-tokens
          name: Aave Tokens
        - category_id: aaccount-abstraction
          name: Account Abstraction
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_demo_api_key

````